List Secrets
curl --request GET \
--url https://odyssey.asteroid.ai/agents/v2/secrets \
--header 'X-Api-Key: <api-key>'import requests
url = "https://odyssey.asteroid.ai/agents/v2/secrets"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://odyssey.asteroid.ai/agents/v2/secrets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"createdAt": "2023-11-07T05:31:56Z",
"fields": [
{
"key": "<string>",
"label": "<string>",
"required": true,
"type": "username",
"valueUpdatedAt": "2023-11-07T05:31:56Z",
"hint": "<string>",
"legacyName": "<string>",
"readableValue": "<string>"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"itemKey": "<string>",
"kind": "login",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2023-11-07T05:31:56Z",
"actor": {
"id": "<string>",
"kind": "person"
},
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastRotatedAt": "2023-11-07T05:31:56Z",
"lastRotatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastUsedAt": "2023-11-07T05:31:56Z",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"page": 123,
"pageSize": 123,
"total": 123
}{
"code": 400,
"message": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"parameter": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": 401,
"message": "<string>",
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": 403,
"message": "<string>",
"capability": "<string>",
"detail": "<string>",
"instance": "<string>",
"reason": "capability_required",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": 404,
"message": "<string>",
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": 500,
"message": "<string>",
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Secrets
List Secrets
List the organization’s secrets, one page at a time. Responses are masked. Filter by name with searchName.
GET
/
agents
/
v2
/
secrets
List Secrets
Authorizations
Query Parameters
The organization. Defaults to the one organization the caller acts in, such as an API key's. Required when the caller belongs to several.
Case-insensitive substring match on the secret name or item key
Available options:
name, created_at, updated_at Available options:
asc, desc 
